Get a node by ID.
Retrieve a node by its id.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
nodeId
The node UUID.
Response
Executed successfully.
clusterUuid
The id of the cluster.
createdAt
name
The name of the node
nodePool
The node's NodePool.
status
The calculated status of the node.
Allowed values:
updatedAt
conditions
gpuInfo
id
The unique identifier of the node.
networkTopologyLabels
A list of Kubernetes node label key/value pairs that represent the node’s position in the cluster’s network topology (for example, region, zone, block, rack, or hostname). The topology is attached to the node pool on which the workload runs. The label order represents the hierarchy, from farthest (first) to closest (last). These labels are used by the NVIDIA Run:ai Scheduler when making placement decisions.
numa
NUMA configuration and per-NUMA-node resource data for the node.
nvLinkCliqueId
NV Link Clique Id
nvLinkDomainUid
NV Link Domain Uid
taints
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error